/*
 * Copyright 2011 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.jeffknecht.dynadao.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Specifies a SQL statement on a DynaDaoProxy method to be used
 * for retrieving a single DTO or a list of DTOs.
 * 
 * @author jeff
 *
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface Sql {
	/**
	 * The Sql statement to be used for the query.  This statement must be compatible
	 * with Spring NamedParameterJdbcTemplate.
	 * 
	 * @return
	 */
	String value();
}
