/*
 * Copyright 2011 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.jeffknecht.dynadao.api;

import org.springframework.dao.DataAccessException;

/**
 * Represents a problem encountered by the DynaDao library, usually
 * resulting from an inability to set a value on an inaccessible
 * field or class.
 * 
 * @author jeff.knecht
 *
 */
public class DynamicDaoDataAccessException extends DataAccessException {

	/**
	 * Generated SerialVersionUID
	 */
	private static final long serialVersionUID = 1185091265569282042L;

	public DynamicDaoDataAccessException(String msg, Throwable cause) {
		super(msg, cause);
	}

	public DynamicDaoDataAccessException(String msg) {
		super(msg);
	}

}
